
/**********************************************************************
**	File:		ctiioctl.h
**	Author:		DJ Worthen (djw@connecttech.com)
**			Karl Morant July 16, 2001
**	
**	Description:	QNX 4 Dev.cti & Dev.nt960 Ioctl Defines
**	Revision history:
**			Mar 1/2001 added LOOPBACK ioctls AES
**			July 16/2001 added AUTO485 for Titan
**	Original:		
**	
**	Copyright (c) 1992-2005 CTI, Connect Tech Inc. All Rights Reserved.
**	
**	THIS IS THE UNPUBLISHED PROPRIETARY SOURCE CODE OF CONNECT TECH INC.
**	The copyright notice above does not evidence any actual or intended
**	publication of such source code.
**	
**	This module contains Proprietary Information of Connect Tech, Inc
**	and should be treated as Confidential.
**********************************************************************/

#ifndef __CTIIOCTL_H_INCLUDED
#define __CTIIOCTL_H_INCLUDED
#define	CTI_AUTORTS_ON			(0x3001)
#define	CTI_AUTORTS_OFF			(0x3002)
#define	CTI_AUTORTS_POLARITY_PLUS	(0x3003)
#define	CTI_AUTORTS_POLARITY_NEG	(0x3004)
#define	CTI_DISCARD_ON			(0x3005)
#define	CTI_DISCARD_OFF			(0x3006)
#define	CTI_RXTIMER_DISABLE		(0x3007)
#define	CTI_RXTIMER_ENABLE		(0x3008)
#define	CTI_GET_TIMER_METRICS		(0x3009)
#define	CTI_SET_TIMER_METRICS		(0x300a)
#define	CTI_TRIGGER_ON			(0x300b)
#define	CTI_TRIGGER_OFF			(0x300c)
#define	CTI_FLUSH_IN			(0x300d)
#define	CTI_FLUSH_OUT			(0x300e)
/* Note the RESET_ACM only applicable for i960 */
#define	CTI_RESET_ACM			(0x300f)
#define	CTI_LOOPBACK_ON			(0x3010)
#define	CTI_LOOPBACK_OFF		(0x3011)
#define CTI_AUTO485_ENABLE		(0x3012)
#define CTI_AUTO485_DISABLE		(0x3013)
#define CTI_RESET_UART			(0x3014)
#define	CTI_IOCTL_MODEM			(0x3015) //added for qnx6port
#endif
/**
**	ComSync/104 Specific
**/
#define CTI_QUERY_CHANNEL		(0x3100)
#define CTI_SETUP_CHANNEL		(0x3101)
#define CTI_FORCE_RX_INTO_HUNT		(0x3102)
